> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get MCP resources

> Get all available MCP resources from connected servers. Optionally filter by name.



## OpenAPI

````yaml /openapi.json get /experimental/resource
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /experimental/resource:
    get:
      summary: Get MCP resources
      description: >-
        Get all available MCP resources from connected servers. Optionally
        filter by name.
      operationId: experimental.resource.list
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
      responses:
        '200':
          description: MCP resources
          content:
            application/json:
              schema:
                type: object
                propertyNames:
                  type: string
                additionalProperties:
                  $ref: '#/components/schemas/McpResource'
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.experimental.resource.list({
              ...
            })
components:
  schemas:
    McpResource:
      type: object
      properties:
        name:
          type: string
        uri:
          type: string
        description:
          type: string
        mimeType:
          type: string
        client:
          type: string
      required:
        - name
        - uri
        - client

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.